<?php

$firsttime = 1;

class ControlPanel {
  var $default_settings = Array(
  'commentsonoff' => 1,
  'hideauthor' => 1,
  'columnorder' => 1,
  'custom_width' => 1,
  'sidebar_left_width' => '250px',
  'sidebar_right_width' => '250px',
  'content_width' => '500px',
  'hidewidg' => 1,
  'hidetopnav' => 1,
  'blogfeed' => '',
  'twitter' => '',
  'facebook' => '',
  'hide_facebook' => 1,
  'hide_twitter' => 1,
  'hide_feed' => 1,
  'add_unit' => '',
  'add_unit_after' => '',
  'ads_on_home' => '',
  'my_header' => '',
  'my_mini_logo' => '',
  'user_header' => '',
  'user_logo' => '',
  'num_exc' => 3,
  'name_exc' => 'Read this post',
  );
  

  function ControlPanel() {
    add_action('admin_menu', array(&$this, 'admin_menu'));
    add_action('admin_head', array(&$this, 'admin_head'));
 
    if (function_exists('register_sidebar'))
        register_sidebar(array('name' => 'Sidebar'));
		
	if (!is_array(get_option('themename')))
		add_option('themename', $this->default_settings);
		$this->options = get_option('themename');
	}
 
  function admin_menu() {
    add_theme_page('Simple Control Panel', 'Simon says simple', 'edit_themes', "themename", array(&$this, 'optionsmenu'));
  }
 
  function admin_head() {
    echo '<link rel="stylesheet" href="'.get_bloginfo('template_url').'/code/controlpanel.css" type="text/css" media="screen" />';
  }
 
 function optionsmenu() {
  if ($_POST['ss_action'] == 'save') {
	$this->options["hidewidg"] = isset($_POST['cp_hidewidg']) ? 1 : 0;
	$this->options["custom_width"] = isset($_POST['cp_custom_width']) ? 1 : 0;
	$this->options["hideauthor"] = isset($_POST['cp_hideauthor']) ? 1 : 0;
	$this->options["commentsonoff"] = isset($_POST['cp_commentsonoff']) ? 1 : 0;
	$this->options["hide_facebook"] = isset($_POST['cp_hide_facebook']) ? 1 : 0;
	$this->options["hide_twitter"] = isset($_POST['cp_hide_twitter']) ? 1 : 0;
	$this->options["hide_feed"] = isset($_POST['cp_hide_feed']) ? 1 : 0;
	$this->options["my_header"] = isset($_POST['cp_my_header']) ? 1 : 0;
	$this->options["my_mini_logo"] = isset($_POST['cp_my_mini_logo']) ? 1 : 0;
	$this->options["ads_on_home"] = isset($_POST['cp_ads_on_home']) ? 1 : 0;
	$this->options["hidetopnav"] = isset($_POST['cp_hidetopnav']) ? 1 : 0;
	$this->options["columnorder"] = $_POST['cp_columnorder'];
	$this->options["sidebar_left_width"] = $_POST['cp_sidebar_left_width'];
	$this->options["sidebar_right_width"] = $_POST['cp_sidebar_right_width'];
	$this->options["content_width"] = $_POST['cp_content_width'];
	$this->options["blogfeed"] = $_POST['cp_blogfeed'];
	$this->options["twitter"] = $_POST['cp_twitter'];
	$this->options["facebook"] = $_POST['cp_facebook'];
	$this->options["user_header"] = $_POST['cp_user_header'];
	$this->options["user_logo"] = $_POST['cp_user_logo'];
	$this->options["add_unit"] = $_POST['cp_add_unit']; 
	$this->options["add_unit_after"] = $_POST['cp_add_unit_after'];
	$this->options["num_exc"] = $_POST['cp_num_exc'];
	$this->options["name_exc"] = $_POST['cp_name_exc'];
	update_option('themename', $this->options);
    echo '<div class="updated fade" id="message" style="background-color: rgb(255, 251, 204); width: 300px; margin-left: 20px"><p>Settings <strong>saved</strong>.</p></div>';
  
  }

echo '<div id="container">';  
  
//form   
  echo '<form action="" method="post" class="themeform">';
  echo '<input type="hidden" id="ss_action" name="ss_action" value="save">';

echo '<div id="controlheader"><h3>Theme Controlpanel <i>Simon Says Simple</i></h3><br />
Please visit the Theme <a href="http://websimon.se">website</a> for more info and updates</div>
<br />
<strong>Important information</strong><br />
--> Customize the menus from <a href="nav-menus.php">Menu settings</a><br/><br/>
';
//COLUMNS AND COLUMNORDER RADIOBUTTONS
echo '<div id="designbox">';

//ACTIVATE CUSTOM WIDTH
echo '<input type="checkbox" name="cp_custom_width" id="cp_custom_width"'.($this->options["custom_width"] == 1 ? ' checked' : '').' />
		<label style="margin-left: 5px;" for="cp_custom_width">Activate custum width</label><br />';

if ($firsttime == 1) {
echo '<h2>Two Column order</h2>';
echo '<input type="radio" name="cp_columnorder" value="5" id="cp_columnorder" checked="checked"/><label style="margin-left: 5px;" for="cp_columnorder">Content Left</label><br />';
echo '<input type="radio" name="cp_columnorder" value="6" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Right</label><br />';

echo '<h2>Three Column order</h2>';   
echo '<input type="radio" name="cp_columnorder" value="1" id="cp_columnorder" checked="checked"/><label style="margin-left: 5px;" for="cp_columnorder">Content Left</label><br />';
echo '<input type="radio" name="cp_columnorder" value="2" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Right</label><br />';
echo '<input type="radio" name="cp_columnorder" value="3" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Middle</label><br />';
}
$theme_options = get_option('themename');
if ($theme_options["columnorder"] == 1) {
echo '<h2>Two Column order</h2>';
echo '<input type="radio" name="cp_columnorder" value="5" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Left</label><br />';
echo '<input type="radio" name="cp_columnorder" value="6" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Right</label><br />';
echo '<h2>Three Column order</h2>';  
echo '<input type="radio" name="cp_columnorder" value="1" id="cp_columnorder" checked="checked"/><label style="margin-left: 5px;" for="cp_columnorder">Content Left</label><br />';
echo '<input type="radio" name="cp_columnorder" value="2" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Right</label><br />';
echo '<input type="radio" name="cp_columnorder" value="3" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Middle</label><br />';
$firsttime = 0;

echo 'Sidebar left width:';
echo '<input class="widefat" style="margin:3px;text-align: left; width: 50px;" name="cp_sidebar_left_width" id="cp_sidebar_left_width" 
		type="text" value="'.$this->options["sidebar_left_width"].'" /> px<br />';

echo 'Sidebar right width:';
echo '<input class="widefat" style="margin:3px;text-align: left; width: 50px;" name="cp_sidebar_right_width" id="cp_sidebar_right_width" 
		type="text" value="'.$this->options["sidebar_right_width"].'" /> px<br />';
		
echo 'Content width:';
echo '<input class="widefat" style="margin:2px; text-align: left; width: 50px;" name="cp_content_width" id="cp_content_width" 
		type="text" value="'.$this->options["content_width"].'" /> px<br />';

$theme_options["total_width"] = $theme_options["content_width"] + $theme_options["sidebar_left_width"] + $theme_options["sidebar_right_width"];
echo '<br/>Total site width: ';
echo $theme_options["total_width"]; echo ' px'; 

}
if ($theme_options["columnorder"] == 2) {
echo '<h2>Two Column order</h2>';
echo '<input type="radio" name="cp_columnorder" value="5" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Left</label><br />';
echo '<input type="radio" name="cp_columnorder" value="6" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Right</label><br />';
echo '<h2>Three Column order</h2>';  
echo '<input type="radio" name="cp_columnorder" value="1" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Left</label><br />';
echo '<input type="radio" name="cp_columnorder" value="2" id="cp_columnorder" checked="checked"/><label style="margin-left: 5px;" for="cp_columnorder">Content Right</label><br />';
echo '<input type="radio" name="cp_columnorder" value="3" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Middle</label><br />';
$firsttime = 0;

echo 'Sidebar left width:';
echo '<input class="widefat" style="margin:3px;text-align: left; width: 50px;" name="cp_sidebar_left_width" id="cp_sidebar_left_width" 
		type="text" value="'.$this->options["sidebar_left_width"].'" /> px<br />';

echo 'Sidebar right width:';
echo '<input class="widefat" style="margin:3px;text-align: left; width: 50px;" name="cp_sidebar_right_width" id="cp_sidebar_right_width" 
		type="text" value="'.$this->options["sidebar_right_width"].'" /> px<br />';
		
echo 'Content width:';
echo '<input class="widefat" style="margin:2px; text-align: left; width: 50px;" name="cp_content_width" id="cp_content_width" 
		type="text" value="'.$this->options["content_width"].'" /> px<br />';

$theme_options["total_width"] = $theme_options["content_width"] + $theme_options["sidebar_left_width"] + $theme_options["sidebar_right_width"];
echo '<br/>Total site width: ';
echo $theme_options["total_width"]; echo ' px'; 

}
if ($theme_options["columnorder"] == 3) {
echo '<h2>Two Column order</h2>';
echo '<input type="radio" name="cp_columnorder" value="5" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Left</label><br />';
echo '<input type="radio" name="cp_columnorder" value="6" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Right</label><br />';
echo '<h2>Three Column order</h2>';  
echo '<input type="radio" name="cp_columnorder" value="1" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Left</label><br />';
echo '<input type="radio" name="cp_columnorder" value="2" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Right</label><br />';
echo '<input type="radio" name="cp_columnorder" value="3" id="cp_columnorder" checked="checked"/><label style="margin-left: 5px;" for="cp_columnorder">Content Middle</label><br />';
$firsttime = 0;

echo 'Sidebar left width:';
echo '<input class="widefat" style="margin:3px;text-align: left; width: 50px;" name="cp_sidebar_left_width" id="cp_sidebar_left_width" 
		type="text" value="'.$this->options["sidebar_left_width"].'" /> px<br />';

echo 'Sidebar right width:';
echo '<input class="widefat" style="margin:3px;text-align: left; width: 50px;" name="cp_sidebar_right_width" id="cp_sidebar_right_width" 
		type="text" value="'.$this->options["sidebar_right_width"].'" /> px<br />';
		
echo 'Content width:';
echo '<input class="widefat" style="margin:2px; text-align: left; width: 50px;" name="cp_content_width" id="cp_content_width" 
		type="text" value="'.$this->options["content_width"].'" /> px<br />';

$theme_options["total_width"] = $theme_options["content_width"] + $theme_options["sidebar_left_width"] + $theme_options["sidebar_right_width"];
echo '<br/>Total site width: ';
echo $theme_options["total_width"]; echo ' px'; 

}
if ($theme_options["columnorder"] == 5) {
echo '<h2>Two Column order</h2>';
echo '<input type="radio" name="cp_columnorder" value="5" id="cp_columnorder" checked="checked"/><label style="margin-left: 5px;" for="cp_columnorder">Content Left</label><br />';
echo '<input type="radio" name="cp_columnorder" value="6" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Right</label><br />';

echo 'Sidebar width:';
echo '<input class="widefat" style="margin:3px;text-align: left; width: 50px;" name="cp_sidebar_left_width" id="cp_sidebar_left_width" 
		type="text" value="'.$this->options["sidebar_left_width"].'" /> px<br />';

echo 'Content width:';
echo '<input class="widefat" style="margin:2px; text-align: left; width: 50px;" name="cp_content_width" id="cp_content_width" 
		type="text" value="'.$this->options["content_width"].'" /> px<br />';

$theme_options["total_width"] = $theme_options["content_width"] + $theme_options["sidebar_left_width"];
echo '<br/>Total site width: ';
echo $theme_options["total_width"]; echo ' px'; 
		
echo '<h2>Three Column order</h2>';  
echo '<input type="radio" name="cp_columnorder" value="1" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Left</label><br />';
echo '<input type="radio" name="cp_columnorder" value="2" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Right</label><br />';
echo '<input type="radio" name="cp_columnorder" value="3" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Middle</label><br />';
$firsttime = 0;
}

if ($theme_options["columnorder"] == 6) {
echo '<h2>Two Column order</h2>';
echo '<input type="radio" name="cp_columnorder" value="5" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Left</label><br />';
echo '<input type="radio" name="cp_columnorder" value="6" id="cp_columnorder" checked="checked"/><label style="margin-left: 5px;" for="cp_columnorder">Content Right</label><br />';

echo 'Sidebar width:';
echo '<input class="widefat" style="margin:3px;text-align: left; width: 50px;" name="cp_sidebar_left_width" id="cp_sidebar_left_width" 
		type="text" value="'.$this->options["sidebar_left_width"].'" /> px<br />';

echo 'Content width:';
echo '<input class="widefat" style="margin:2px; text-align: left; width: 50px;" name="cp_content_width" id="cp_content_width" 
		type="text" value="'.$this->options["content_width"].'" /> px<br />';

$theme_options["total_width"] = $theme_options["content_width"] + $theme_options["sidebar_left_width"];
echo '<br/>Total site width: ';
echo $theme_options["total_width"]; echo ' px'; 
		
echo '<h2>Three Column order</h2>';  
echo '<input type="radio" name="cp_columnorder" value="1" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Left</label><br />';
echo '<input type="radio" name="cp_columnorder" value="2" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Right</label><br />';
echo '<input type="radio" name="cp_columnorder" value="3" id="cp_columnorder"/><label style="margin-left: 5px;" for="cp_columnorder">Content Middle</label><br />';
$firsttime = 0;
}

echo '</div>'; 


//SETTINGS
echo '<div id="settingsbox"><h2>Site settings</h2>';   
//Hide unused widget areas
echo '<input type="checkbox" name="cp_hidewidg" id="cp_hidewidg"'.($this->options["hidewidg"] == 1 ? ' checked' : '').' />
		<label style="margin-left: 5px;" for="cp_hidewidg">Hide unused widget areas</label><br />';
		
//Hide authorname on posts
echo '<input type="checkbox" name="cp_hideauthor" id="cp_hideauthor"'.($this->options["hideauthor"] == 1 ? ' checked' : '').' />
		<label style="margin-left: 5px;" for="cp_hideauthor">Hide authorname in posts and pages</label><br />';		
		
//DISABLE COMMENTS IN POSTS
echo '<input type="checkbox" name="cp_commentsonoff" id="cp_commentsonoff"'.($this->options["commentsonoff"] == 1 ? ' checked' : '').' />
		<label style="margin-left: 5px;" for="cp_commentsonoff">Disable comments on posts</label><br />';

//SOCIAL OPTIONS
echo '<input type="checkbox" name="cp_hide_facebook" id="cp_hide_facebook"'.($this->options["hide_facebook"] == 1 ? ' checked' : '').' />
		<label style="margin-left: 5px;" for="cp_hide_facebook">Hide Facebook icon</label><br />';
echo '<input type="checkbox" name="cp_hide_twitter" id="cp_hide_twitter"'.($this->options["hide_twitter"] == 1 ? ' checked' : '').' />
		<label style="margin-left: 5px;" for="cp_hide_twitter">Hide Twitter icon</label><br />';
echo '<input type="checkbox" name="cp_hide_feed" id="cp_hide_feed"'.($this->options["hide_feed"] == 1 ? ' checked' : '').' />
		<label style="margin-left: 5px;" for="cp_hide_feed">Hide Feed icon</label><br />';
		
//HIDE HEADER
echo '<input type="checkbox" name="cp_hidetopnav" id="cp_hidetopnav"'.($this->options["hidetopnav"] == 1 ? ' checked' : '').' />
		<label style="margin-left: 5px;" for="cp_hidetopnav">Remove Header image </label><br />';		
		
//EXCERPTS
echo '<h2>Excerpts</h2>';   		
echo '<input class="widefat" style="text-align: left; width: 20px;" name="cp_num_exc" id="cp_num_exc" 
		type="text" value="'.$this->options["num_exc"].'" /> full posts on Homepage (the rest will be excerpts). <br />';		
echo 'Link name to post: <input class="widefat" style="text-align: left; width: 200px;" name="cp_name_exc" id="cp_name_exc" 
		type="text" value="'.$this->options["name_exc"].'" /> <br />';
echo '</div>'; 

echo '<div id="savebox">';   
echo '<p class="submit"><input type="submit" value="Save Changes" name="cp_save"/></p>';
echo '</div>';  

//USER HEADER
echo '<div id="socialsetting">';
echo '<h3>User Header</h3><br />';

echo '<input type="checkbox" name="cp_my_header" id="cp_my_header"'.($this->options["my_header"] == 1 ? ' checked' : '').' />
	<label style="margin-left: 5px;" for="cp_my_header">I want to customize my header with my own picture:</label><br />';
echo 'Enter your picture URL: <br /><input class="widefat" style="text-align: left; width: 600px;" name="cp_user_header" id="cp_user_header" 
		type="text" value="'.$this->options["user_header"].'" /><br />';
echo '</div>';

echo '<div id="savebox">';   
echo '<p class="submit"><input type="submit" value="Save Changes" name="cp_save"/></p>';
echo '</div>';

//MY MINI LOGO
echo '<div id="socialsetting">';
echo '<h3>My mini logo</h3><br />';

echo '<input type="checkbox" name="cp_my_mini_logo" id="cp_my_mini_logo"'.($this->options["my_mini_logo"] == 1 ? ' checked' : '').' />
	<label style="margin-left: 5px;" for="cp_my_mini_logo">I want to add a mini logo (to the left of the headlines):</label><br />Width will be set to 50px<br />';
echo 'Enter your picture URL: <br /><input class="widefat" style="text-align: left; width: 600px;" name="cp_user_logo" id="cp_user_logo" 
		type="text" value="'.$this->options["user_logo"].'" /><br />';
echo '</div>';

echo '<div id="savebox">';   
echo '<p class="submit"><input type="submit" value="Save Changes" name="cp_save"/></p>';
echo '</div>';

//SOCIAL
echo '<div id="socialsetting">';
echo '<h3>Social urls</h3><br />';
echo 'Enter the blogs feed URL: <br /><input class="widefat" style="text-align: left; width: 600px;" name="cp_blogfeed" id="cp_blogfeed" 
		type="text" value="'.$this->options["blogfeed"].'" /><br />';
echo 'Enter your twitter adress: <br /><input class="widefat" style="text-align: left; width: 600px;" name="cp_twitter" id="cp_blogfeed" 
		type="text" value="'.$this->options["twitter"].'" /><br />';
echo 'Enter your facebook adress: <br /><input class="widefat" style="text-align: left; width: 600px;" name="cp_facebook" id="cp_blogfeed" 
		type="text" value="'.$this->options["facebook"].'" /><br />';

echo '</div>'; 

echo '<div id="savebox">';   
echo '<p class="submit"><input type="submit" value="Save Changes" name="cp_save"/></p>';
echo '</div>';  


//ADS N SCRIPTS
echo '<div id="scripts">';
echo '<h3>Ads, codes, scripts or somethinge else</h3><br />';

echo '<input type="checkbox" name="cp_ads_on_home" id="cp_ads_on_home"'.($this->options["ads_on_home"] == 1 ? ' checked' : '').' />
	<label style="margin-left: 5px;" for="cp_ads_on_home">I want to show ads on home page as well</label><br /><br />';

echo 'Ads Before post (under post headline): <br />';

echo '<textarea name="cp_add_unit" rows="6" cols="100"/>'; echo htmlentities(stripslashes(utf8_decode($theme_options["add_unit"]))); echo '</textarea><br />';
echo 'Ads after post (before comments): <br />';
echo '<textarea name="cp_add_unit_after" rows="6" cols="100"/>'; echo htmlentities(stripslashes(utf8_decode($theme_options["add_unit_after"]))); echo '</textarea><br />';
echo '</div>';  

echo '<div id="savebox">';   
echo '<p class="submit"><input type="submit" value="Save Changes" name="cp_save"/></p>';
echo '</div>';  

 
echo '</form>';
echo '</div>'; 

}  
}
?>