<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />	
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats please -->
<link rel="stylesheet" href="<?php bloginfo('url'); ?>/wp-content/themes/simon_says_simple/theme-style.css" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />

<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php $theme_options = get_option('themename'); ?><!-- getting options for Simon_says_simple-->
<?php wp_get_archives('type=monthly&format=link'); ?>
<?php //comments_popup_script(); // off by default ?>
<?php wp_head(); ?>

</head>
<body>

<?php if ($theme_options["custom_width"] == 1) { ?>
<?php if ($theme_options["columnorder"] == 5 || $theme_options["columnorder"] == 6) { ?>
<div id="container" style="width:<?php echo $theme_options["content_width"]+$theme_options["sidebar_left_width"]; ?>px;">
<?php } ?>

<?php if ($theme_options["columnorder"] == 1 || $theme_options["columnorder"] == 2 || $theme_options["columnorder"] == 3) { ?>
<div id="container" style="width:<?php echo $theme_options["content_width"]+$theme_options["sidebar_left_width"]+$theme_options["sidebar_right_width"]; ?>px;">
<?php } ?>
<?php } ?>
<?php if ($theme_options["custom_width"] == 0 && ($theme_options["columnorder"] == 1 || $theme_options["columnorder"] == 2 || $theme_options["columnorder"] == 3 ) ) { ?>
<div id="container">
<?php } ?>

<?php if ($theme_options["custom_width"] == 0 && ($theme_options["columnorder"] == 5 || $theme_options["columnorder"] == 6 ) ) { ?>
<div id="container-two-col">
<?php } ?>

<div id="navtop">
<div id="navtopcontent">

<div id="social">
	<?php if($theme_options["hide_facebook"] == 0) { ?>
	<a href="<?php echo $theme_options["facebook"]; ?>"><img src="<?php bloginfo('url'); ?>/wp-content/themes/simon_says_simple/images/fb.png" alt="" /></a>
	<?php } ?>
	<?php if($theme_options["hide_twitter"] == 0) { ?>
	<a href="<?php echo $theme_options["twitter"]; ?>"><img src="<?php bloginfo('url'); ?>/wp-content/themes/simon_says_simple/images/twitter.png" alt="" /></a>
	<?php } ?>
	<?php if($theme_options["hide_feed"] == 0) { ?>
	<a href="<?php echo $theme_options["blogfeed"]; ?>"><img src="<?php bloginfo('url'); ?>/wp-content/themes/simon_says_simple/images/feed-icon.png" alt="" /></a>
	<?php } ?>
</div>

 <!--HEADLINES AREA-->

		<?php if ( is_home() ) { ?>
			<!-- headlines on home page, very important seo stuff. Blog description is H1 on homepage-->
				
				
				<?php if ($theme_options["my_mini_logo"] == 1) { ?><!-- User header -->	
				<div id="user-logo">
					<img src="<?php echo $theme_options["user_logo"]; ?>" alt="" width="50px"/>
				</div>
				<?php } ?>
				
				<div class="header_h">
					<div id="blog_info">
					<h4><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h4>
					</div>
					<div id="blog_desc">
					<h1><?php bloginfo('description'); ?></h1>
					</div>
				</div>
				
		<?php } ?>
		
		
		<?php if (is_single() || is_page() || is_archive() || is_search() ) { ?>
		<!-- headlines for a single page & page, very important seo stuff. In posts and pages h1 is in post headline -->
		
				<?php if ($theme_options["my_mini_logo"] == 1) { ?><!-- User header -->	
				<div id="user-logo">
					<img src="<?php echo $theme_options["user_logo"]; ?>" alt="" width="50px"/>
				</div>
				<?php } ?>
		
			<div class="header_h">
			<div id="blog_info">
			<h5><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h5>
			</div>
			<div id="blog_desc">
			<h6><?php bloginfo('description'); ?></h6>
			</div>
			</div>
			
		<?php } ?>	

</div>

</div>




 <?php if ($theme_options["hidetopnav"] == 0) { ?>	

<?php if ($theme_options["my_header"] == 1) { ?><!-- User header -->	
		<div id="header" style="background:url('<?php echo $theme_options["user_header"]; ?>')";>
<?php } ?>


<?php if ($theme_options["my_header"] == 0) { ?><!--default header -->	
		<div id="header">
<?php } ?>
		</div>
<?php } ?>

		
<!--wp nav mainmenu-->


<?php
    wp_nav_menu( array( 'theme_location' => 'main',) );
?>

			
		<div id="under_header"> <!--widgetized area-->
		
			<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar(3) ) : else : ?>
			
			<?php if($theme_options["hidewidg"] == 0) { ?> <!--hidewidget  -->
			<ul>
			<li><div class="widgetarea">
			<i>This is widget area 3<br />Drag something to this place or hide it in the Controlpanel</i>
			</div></li></ul>
			<?php } ?>
			<?php endif; ?>
			
		</div>
		
<!--END Header.php -->